Subject: Re: git interix support

From: Markus Duft <[email-masked]>
Date: Thu, 11 Mar 2010 08:13:57 +0100

On 03/10/10 19:32, Daniel Barkalow wrote:
> On Tue, 9 Mar 2010, Markus Duft wrote:
> 
[snip]
> 
> If you've got programs that don't work at all without some library 
> function that you don't have, it's better to not build them at all (by not 
> having them in the make targets) than build binaries that refuse to run. 
> Doing it that way means you don't need to get the rest of the file to 
> compile, and makes it more clear before runtime what functionality will be 
> missing.
> 
> Also, if you make a NO_POLL and use that, someone else might make a 
> compat_poll(). Or maybe not, but a workaround certainly won't get done if 
> you just use __INTERIX.

thanks for the input (all of you). i will spend some more time, doing a
better patch... :)

markus

> 
> 	-Daniel
> *This .sig left intentionally blank*